import { PlusOutlined } from '@ant-design/icons';
import { Button, message, Input, Drawer, Modal } from 'antd';
import React, { useState, useRef, useEffect } from 'react';
import { PageContainer, FooterToolbar } from '@ant-design/pro-layout';
import ProTable from '@ant-design/pro-table';
import api from '../service';

const DetailsList = (props) => {
  const columns = [
    {
      title: '用餐部门',
      dataIndex: 'mname',
    },
    {
      title: '用餐人员',
      dataIndex: 'nickName',
    },
    {
      title: '用餐时段',
      dataIndex: 'timeInterval',
      render: (_, record) => {
        if (record.timeInterval === '1') {
          return '早餐'
        }
        if (record.timeInterval === '2') {
          return '午餐'
        }
        if (record.timeInterval === '3') {
          return '晚餐'
        }
      }
    },
    {
      title: '用餐时间',
      dataIndex: 'createAt',
    },
  ];
  return (
    <Modal
      title={'查看用餐详情'}
      width={640}
      visible={props.createModalVisible}
      bodyStyle={{ padding: '32px 40px 48px' }}
      footer={null}
      onCancel={() => {
        props.onCancel();
      }}
      destroyOnClose
    >
      {<ProTable
        headerTitle="查看用餐详情"
        rowKey="id"
        pag
        search={false}
        //数据绑定
        request={async (params) => {
          var goodsBomsData = [];
          var total = 0;
          params['startTime'] = props.timeRange[0]._i;
          params['endTime'] = props.timeRange[1]._i;
          params['orgName'] = props.values.mname;
          params['timeInterval'] = props.values.timeInterval;
          await api.GetDayConsumeDetailed(params).then((r) => {
            goodsBomsData = r.data.data;
            total = r.data.total;
          });
          return {
            data: goodsBomsData,
            success: true,
            total: total,
          };
        }}
        columns={columns}
        pagination={{
          defaultPageSize: 9000,
          showSizeChanger: true,
        }}
      />}
    </Modal>
  );
};

export default DetailsList;
