import React, { useState, useRef, useEffect } from 'react';
import { PageContainer, FooterToolbar } from '@ant-design/pro-layout';
import {Select } from 'antd';
import ProTable from '@ant-design/pro-table';
import api from './service';
//页面 相当于 class
const Manage = () => {
    const [items, setItems] = useState();
    const [optyid, setOptyid] = useState();
  //绑定
  const actionRef = useRef();
  useEffect(() => {
    initcouponType()
  }, []);

  /** 国际化配置 */
  const initcouponType = async () => {
    var data = await api.GetPaperCouponType();
    var op=[]
    data.data.map((item) => (
      op.push({label:item.value,value:item.key})
    ));
    setItems(op)
  };
  const onchangevalue=(value)=>{
    console.log(value)
    setOptyid(value)
  }
  const columns = [
    {
      title: '主键',
      dataIndex: 'id',
      tip: '规则名称是唯一的 key',
      hideInSearch: true,
      hideInTable: true,
    },
    {
        title: '时间',
        dataIndex: 'crateTimeAt',
        hideInSearch: false,
        valueType: 'dateTimeRange',
        hideInTable: true,
        width: 160,
      },
    {
      title: '标题',
      dataIndex: 'title',
      hideInTable: false,
      hideInSearch: true,
    },
    {
      title: '类型',
      dataIndex: 'cTypeName',
      hideInTable: false,
      width: 160,
      renderFormItem: () => (
        <Select options={items} onChange={onchangevalue} allowClear={true}/>
      ),
    },
    {
      title: '金额',
      dataIndex: 'money',
      renderText: (val) => `${val}¥`,
      hideInSearch: false,
      width: 160,
    },
    {
      title: '数量',
      dataIndex: 'allcount',
      hideInSearch: true,
      width: 160,
    }
    
  ];

  return (
    <PageContainer>
      <ProTable
        headerTitle="优惠卷汇总查询"
        actionRef={actionRef}
        rowKey="id"
        scroll={{ x: 1300 }}
        search={{
          labelWidth: 120,
        }}
        columns={columns}
        //数据绑定
        request={async (params, sorter, filter) => {
          var orderSummayData = [];
          var total = 0;
          console.log(params)
          var obj=
          {
            CTypeId:params.cTypeName,
            Money:params.money,
            CTypeId:optyid
          }
          if(params.crateTimeAt){
            obj.StartDateStr=params.crateTimeAt[0]
            obj.EndDateStr=params.crateTimeAt[1]
          }
          await api.getPaperCouponReport(obj).then((r) => {
            orderSummayData = r.data;
            total = r.data.length
            //setdataList(r.data.data);
          });
          return {
            data: orderSummayData,
            // success 请返回 true，
            // 不然 table 会停止解析数据，即使有数据
            success: true,
            // 不传会使用 data 的长度，如果是分页一定要传
            total: total,
          };
        }}
      ></ProTable>
    </PageContainer>
  );
};

export default Manage;
